// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker;

import java.util.LinkedList;

import com.sncf.checker.common.ROADEFException;

/**
 * Constraint container.
 *
 * @author YDS
 *
 */
public class ConstraintComposite implements Constraint {

    /** constraint list. */
    private LinkedList<Constraint> constraintList;

    /**
     * Constructor.
     */
    public ConstraintComposite() {
        constraintList = new LinkedList<Constraint>();
    }

    /** {@inheritDoc} */
    public final boolean validate() throws ROADEFException {
        boolean valid = true;

        for (Constraint constraint : constraintList) {
            if (!constraint.validate()) {
                valid = false;
            }
        }

        return valid;
    }


    /**
     * Add a constraint.
     *
     * @param constraint constraint to add
     */
    public final void add(final Constraint constraint) {
        constraintList.add(constraint);
    }

}
