// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker;

import java.util.LinkedList;

import com.sncf.checker.common.ROADEFException;

/**
 * Objective function container.
 *
 * @author YDS
 *
 */
public class CostComposite implements Cost {

    /** Objective function list. */
    private LinkedList<Cost> costList;

    /**
     * Constructor.
     */
    public CostComposite() {
        costList = new LinkedList<Cost>();
    }

    /** {@inheritDoc} */
    public float calculate() throws ROADEFException {
        float sum = 0;

        for (Cost cost : costList) {
            sum += cost.calculate();
        }

        return sum;
    }

    /**
     * Add an objective function.
     *
     * @param cost objective function to add
     */
    public void add(Cost cost) {
        costList.add(cost);
    }

}
