package com.sncf.checker;

import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

import com.sncf.checker.bo.Parameters;
import com.sncf.checker.bo.Train;
import com.sncf.checker.common.ROADEFException;
import com.sncf.checker.io.DAOFactory;
import com.sncf.checker.io.TrainDAO;

public class UncoveredArrivalCost implements Cost {

    private final DAOFactory factory;

    public UncoveredArrivalCost(DAOFactory factory) {
        this.factory = factory;
    }

    public float calculate() throws ROADEFException {
        float score = 0;
        TrainDAO dao = factory.getTrainDAO();
        Parameters parameters = factory.getParametersDAO().getParameters();
        Logger logger = Logger.getLogger("logger");

        List<Train> trainList = dao.loadAll();
        for (Train train : trainList) {
            if (train.getFill().isEmpty()) {
                logger.log(Level.INFO, "Uncovered Arrival cost : "
                        + train.getName() + " has an empty schedule. Score += "
                        + parameters.getUncovCost());
                score = score + parameters.getUncovCost();
            }
        }

        return score;
    }

}
