// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker.bo;

import com.sncf.checker.common.Datetime;

/**
 * Train/Resource relationship with date
 *
 * @author YDS
 *
 */
public class Fill {

    /**
     * Constructor.
     */
    public Fill() {
    }

    /** beginning time. */
    private Datetime date;

    /**
     * Get the beginning time.
     *
     * @return beginning
     */
    public final Datetime getDate() {
        return date;
    }

    /**
     * Set the beginning time.
     *
     * @param beginning
     */
    public final void setDate(final Datetime date) {
        this.date = date;
    }

    /** related occupation. */
    private Resource resource;

    /**
     * Get the related occupation.
     *
     * @return occupation
     */
    public final Resource getResource() {
        return resource;
    }

    /**
     * Set the related occupation.
     *
     * @param occupation
     */
    public final void setResource(Resource resource) {
        this.resource = resource;
    }

    /** related train. */
    private Train train;

    /**
     * Get the related train.
     *
     * @return train
     */
    public final Train getTrain() {
        return train;
    }

    /**
     * Set the related train.
     *
     * @param train Train to set
     */
    public final void setTrain(final Train train) {
        this.train = train;
    }

    private Event event;

    public final Event getEvent() {
        return event;
    }

    public final void setEvent(final Event event) {
        this.event = event;
    }

    private String gate;

    public final String getGate() {
        return gate;
    }

    public final void setGate(final String gate) {
        this.gate = gate;
    }

    private String complement;

    public final String getComplement() {
        return complement;
    }

    public final void setComplement(final String complement) {
        this.complement = complement;
    }
}
