// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker.bo;

import com.sncf.checker.common.Duration;
import com.sncf.checker.io.FillDAO;
import com.sncf.checker.io.GateDAO;
import com.sncf.checker.io.TrainCategoryDAO;

/**
 * Track group.
 *
 * @author YDS
 *
 */
public class TrackGroup extends Resource {

    /**
     * Constructor.
     */
    public TrackGroup() {
        super();
    }

    /**
     * lazy-loading version constructor.
     *
     * @param occupationDAO
     * @param fillDAO
     */
    public TrackGroup(final GateDAO gateDAO, final FillDAO fillDAO, final TrainCategoryDAO categoryDAO) {
        super(gateDAO, fillDAO, categoryDAO);
    }

    /** travel time. */
    private Duration travelTime;

    /**
     * Get the travel time.
     *
     * @return travel time
     */
    public final Duration getTravelTime() {
        return travelTime;
    }

    /**
     * Set the travel time.
     *
     * @param travelTime duration in minutes
     */
    public final void setTravelTime(final Duration travelTime) {
        this.travelTime = travelTime;
    }

    /** headway. */
    private Duration headway;

    /**
     * Get the headway.
     *
     * @return headways
     */
    public final Duration getHeadway() {
        return headway;
    }

    /**
     * Set the headway.
     *
     * @param eadway headway to sets
     */
    public final void setHeadway(final Duration duration) {
        this.headway = duration;
    }
}
