// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker.bo;

import com.sncf.checker.common.Duration;

/**
 * Category.
 *
 * @author YDS
 *
 */
public class TrainCategory {

    /**
     * Constructor.
     */
    public TrainCategory() {
    }

    /** name. */
    private String name;

    /**
     * Get the name.
     *
     * @return name
     */
    public final String getName() {
        return name;
    }

    /**
     * Set the name.
     *
     * @param name
     */
    public final void setName(final String name) {
        this.name = name;
    }

    /** length. */
    private int length;

    /**
     * Get the length.
     *
     * @return length
     */
    public final int getLength() {
        return length;
    }

    /**
     * Set the length.
     *
     * @param length
     */
    public final void setLength(final int length) {
        this.length = length;
    }

    /** max km potential. */
    private int maxDBM;

    /**
     * Get the max km potential after maintenance.
     *
     * @return reset km potential
     */
    public final int getMaxDBM() {
        return maxDBM;
    }

    /**
     * Set the max km potential after maintenance.
     *
     * @param maxDBM potential to set
     */
    public final void setMaxDBM(final int maxDBM) {
        this.maxDBM = maxDBM;
    }

    /** max time potential. */
    private Duration maxTBM;

    /**
     * Get the max time potential after maintenance.
     *
     * @return reset time potential
     */
    public final Duration getMaxTBM() {
        return maxTBM;
    }

    /**
     * Set the max time potential after maintenance.
     *
     * @param duration potential to set
     */
    public final void setMaxTBM(final Duration duration) {
        this.maxTBM = duration;
    }

    /** compatibility group. */
    private String catGroup;

    /**
     * Get the compatibility group.
     *
     * @return compatibility group
     */
    public final String getCatGroup() {
        return catGroup;
    }

    /**
     * Set the compatibility group.
     *
     * @param catGroup category group to set
     */
    public final void setCatGroup(final String catGroup) {
        this.catGroup = catGroup;
    }

    /** distance maintenance time. */
    private Duration maintTimeD;

    /**
     * Get the distance maintenance time.
     *
     * @return distance maintenance time
     */
    public final Duration getMaintTimeD() {
        return maintTimeD;
    }

    /**
     * Set the distance maintenance time.
     *
     * @param maintTimeD distance maintenance time
     */
    public final void setMaintTimeD(final Duration maintTimeD) {
        this.maintTimeD = maintTimeD;
    }

    /** time maintenance time. */
    private Duration maintTimeT;

    /**
     * Get the time maintenance time.
     *
     * @return time maintenance time
     */
    public final Duration getMaintTimeT() {
        return maintTimeT;
    }

    /**
     * Set the time maintenance time.
     *
     * @param maintTimeD time maintenance time
     */
    public final void setMaintTimeT(final Duration maintTimeT) {
        this.maintTimeT = maintTimeT;
    }
}
