// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker.io;

import java.util.List;

import com.sncf.checker.bo.Departure;

/**
 * Data Access Object interface to departure.
 *
 * @author YDS
 *
 */
public interface DepartureDAO {

    /**
     * Load an departure by name.
     *
     * @param name the searched departure name
     * @return departure, null if not found
     */
    Departure loadByName(final String name);

    /**
     * Load all departures.
     *
     * @return departure list
     */
    List<Departure> loadAll();

    /**
     * Load an departure by train name.
     *
     * @param name the searched train name
     * @return departure, null if not found
     */
    Departure loadByTrain(final String name);
}
