// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker.io;

import java.util.List;

import com.sncf.checker.bo.Resource;

/**
 * Data Access Object interface to resource.
 *
 * @author YDS
 *
 */
public interface ResourceDAO {

    /**
     * Load a resource by name.
     *
     * @param name the searched resource name
     * @return resource object, null if not found
     */
    Resource loadByName(final String name);

    /**
     * Load all resources.
     *
     * @return resource list
     */
    List<Resource> loadAll();
}
